
query getMyTasks($teamMemberId: UUID!) @auth(level: USER) {
  memberTasks(where: { teamMemberId: { eq: $teamMemberId } }) {
    id
    task {
      id
      taskName
      description
      status
      dueDate
      progress
      priority
    }

    teamMember{
      
      user {
        fullName
        email
      }
      
    }

  }
}

#before named getMemberTaskByIdKey
query getMemberTaskByIdKey(
  $teamMemberId: UUID!
  $taskId: UUID!
) @auth(level: USER) {
  memberTask(key: { teamMemberId: $teamMemberId, taskId: $taskId }) {
    id
    task {
      id
      taskName
      description
      status
      dueDate
      progress
      priority
    }

    teamMember{
      
      user {
        fullName
        email
      }
      
    }
  }
}

query getMemberTasksByTaskId($taskId: UUID!) @auth(level: USER) {
  memberTasks(where: { taskId: { eq: $taskId } }) {
    id
    task {
      id
      taskName
      description
      status
      dueDate
      progress
      priority
    }

    teamMember{
      
      user {
        fullName
        email
      }
      
    }
  }
}
